const Benchmark = require('../models').models.Benchmark;
const Result = require('../models').models.Result;

// GET /api/v1/benchmark/details
exports.getBenchmarkDetails = async function(req, res) {
  try {
    const benchmark = await Benchmark.findByPk(req.query.benchmark_id);

    if (!benchmark) {
      return res.status(404).json({
        error: 'Benchmark not found.'
      })
    }

    res.json(benchmark);
  } catch (err) {
    res.status(500).json({
      error: 'Internal server error occurred while fetching benchmark details.'
    });
  }
};

// GET /api/v1/result/list - list of results for a test
exports.getResultList = async function(req, res) {
  try {
    var results = await Result.findAll({
      where: {
        TestId: req.query.test_id,
        BenchmarkId: req.query.benchmark_id
      }
    });

    res.json(results);
  } catch (err) {
    res.status(500).json({
      error: 'Internal server error occurred while fetching benchmark results.'
    });
  }
};
